--- a/common.sh.in        2018-09-05 23:23:07.811528673 +0000
+++ b/common.sh.in        2018-09-06 00:10:36.993693654 +0000
@@ -284,13 +284,13 @@
     blockdev="$1"
     filesystem_dev_base=`$KPARTX -l -p- $blockdev | \
                             grep -m 1 -- "-1.*$blockdev" | \
-                            $AWK '{print $1}'`
+                            $AWK '{print $1}' | sed -r -e 's/-([0-9]{1,2})$/p\1/g'`
     if [ -z "$filesystem_dev_base" ]; then
         log_error "Cannot interpret kpartx output and get partition mapping"
         exit 1
     fi
     $KPARTX -a -p- $blockdev > /dev/null
-    filesystem_dev="/dev/mapper/${filesystem_dev_base/%-1/}"
+    filesystem_dev="/dev/mapper/${filesystem_dev_base/%p1/}"
     if [ ! -b "/dev/mapper/$filesystem_dev_base" ]; then
         log_error "Can't find kpartx mapped partition: /dev/mapper/$filesystem_dev_base"
         exit 1
@@ -302,17 +302,17 @@
     filesystem_dev="$1"
     partition="$2"
     if [ "${SWAP}" = "yes" -a -z "${KERNEL_PATH}" ] ; then
-        boot_dev="${filesystem_dev}-1"
-        swap_dev="${filesystem_dev}-2"
-        root_dev="${filesystem_dev}-3"
+        boot_dev="${filesystem_dev}p1"
+        swap_dev="${filesystem_dev}p2"
+        root_dev="${filesystem_dev}p3"
     elif [ "${SWAP}" = "no" -a -z "${KERNEL_PATH}" ] ; then
-        boot_dev="${filesystem_dev}-1"
-        root_dev="${filesystem_dev}-2"
+        boot_dev="${filesystem_dev}p1"
+        root_dev="${filesystem_dev}p2"
     elif [ "${SWAP}" = "yes" -a -n "${KERNEL_PATH}" ] ; then
-        swap_dev="${filesystem_dev}-1"
+        swap_dev="${filesystem_dev}p1"
         root_dev="${filesystem_dev}-2"
     elif [ "${SWAP}" = "no" -a -n "${KERNEL_PATH}" ] ; then
-        root_dev="${filesystem_dev}-1"
+        root_dev="${filesystem_dev}p1"
     fi
     echo "$(eval "echo \${$(echo ${partition}_dev)"})"
 }
